COMM(1)

NIMI
comm - compare two sorted files line by line

YLEISKATSAUS
comm [VALITSIN]... TIEDOSTO1 TIEDOSTO

KUVAUS

Vertaa lajiteltuja tiedostoja TIEDOSTO1 ja TIEDOSTO2 rivi riviltä.

Jos joko TIEDOSTO1 tai TIEDOSTO2 on -, luetaan vakiosyötettä.

Ilman valitsimia tuotetaan kolmen sarakkeen tuloste. Sarake yksi sisältää ainoastaan TIEDOSTO1:ssä esiintyvät rivit, sarake kaksi ainoastaan TIEDOSTO2:ssa esiintyvät rivit, ja sarake kolme molemmissa esiintyvät rivit.

-1  suppress column 1 (lines unique to FILE1)

-2  suppress column 2 (lines unique to FILE2)

-3  suppress column 3 (lines that appear in both files)

--check-order
    check that the input is correctly sorted, even if all input lines are pairable

--nocheck-order
    do not check that the input is correctly sorted

--output-delimiter=STR
    separate columns with STR

--total
    output a summary

-z, --zero-terminated
    päätä rivit 0-tavuun, ei rivinvaihtoon

--help
    näytä tämä ohje ja poistu

--version
    näytä versiotiedot ja poistu

Comparisons honor the rules specified by 'LC_COLLATE'.

ESIMERKKEJÄ

comm -12 tiedosto1 tiedosto2
    Tulosta vain tiedostossa1 ja tiedostossa2 olleet rivit.

comm -3 tiedosto1 tiedosto2
    Tulosta tiedoston1 rivit, jotka eivät ole tiedostossa2, ja päinvastoin.

TEKIJÄ
Kirjoittaneet Richard M. Stallman ja David MacKenzie.

VIRHEISTÄ ILMOITTAMINEN
Ilmoita ohjelmistovioista (englanniksi) osoitteeseen bug-coreutils@gnu.org
GNU coreutils-kotisivu: <https://www.gnu.org/software/coreutils/>
Yleisohjeita GNU-ohjelmistojen käyttöön: <https://www.gnu.org/gethelp/>
Ilmoita käännösvirheistä osoitteeseen <https://translationproject.org/team/fi.html>

KATSO MYÖS
join(1), uniq(1)

Koko dokumentaatio: <https://www.gnu.org/software/coreutils/comm>
tai saatavilla paikallisesti: info '(coreutils) comm invocation'

Packaged by Debian (9.10-1)
Copyright © 2026 Free Software Foundation, Inc.
Lisenssi GPLv3+: GNU GPL versio 3 tai myöhempi <https://gnu.org/licenses/gpl.html>.
Tämä on vapaa ohjelmisto; sitä saa vapaasti muuttaa ja levittää edelleen.
Siinä määrin kuin laki sallii, TAKUUTA EI OLE.

KÄÄNNÖS
Tämän käsikirjan suomenkielisen käännöksen tekivät Tuukka Forssell <taf@jytol.fi>

Tämä käännös on ilmainen dokumentaatio; katso tekijänoikeusehdot GNU General Public License -versiosta 3 (https://www.gnu.org/licenses/gpl-3.0.html) tai uudemmasta. Emme ota vastuuta.